import socket
import sort
import control_motor
import control_pixel

host = "192.168.1.248" # socket.gethostname()
port = 9001                   # The same port as used by the server
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.connect((host, port))
s.sendall(b'Connected to server!')
control_pixel.ledOn()
while True:
    control_pixel.ledOn()
    try:
        data = s.recv(1024)
        #control_pixel.ledOn()
        if not data: break
        print("Found "+str(data))
        selectedBin = sort.sort(str(data)[2:len(str(data))-1])
        control_pixel.ledOff()
        control_motor.goToBin(selectedBin)
        control_pixel.ledOn()
        s.sendall(b'Continue')
    except socket.error:
        print("Error Occured.")
        break
s.close()